# list-plugin-updates

## Purpose

Lists the versions of updated plugins available from the Griffon standard repository

## Description

Usage:

    griffon list-plugin-updates

Lists the plugins that are updateable from an artifact repository. Note: This command can take a while to execute depending on your internet connectivity. Typical output looks like this:

    Plugins with available updates are listed below:
    --------------------------------------------------------------------------------
    <Plugin>            <Current>           <Available>         <From>
    glazedlists         0.8.2               0.8.3               griffon-legacy

The first column contains the plugin name, the second the installed version and the last the current version. If you require more info about a plugin you can use the plugin-info command. If you wish to update a plugin you can use the plugin name and/or version in combination with the install-plugin.

> Note: If you are behind a proxy you may want to consider using the set-proxy command prior to running this command.

Options:

- `install` - Installs all available plugin updates
- `repository` - Name of an specific repository where the search will be performed. Defaults to griffon-central